package de.uni_passau.fim.seibt.gitwrapper.process;

public abstract class ToolWrapper {

    protected String cmd;

    public ToolWrapper(String cmd) throws ToolNotWorkingException {
        this.cmd = cmd;

        if (!isWorking()) {
            throw new ToolNotWorkingException(cmd + " is not working.");
        }
    }

    protected abstract boolean isWorking();
}
